<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-login](./foundation-login.md) &gt; [define](./foundation-login.define.md)

## define variable

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

Re-define the login micro frontend.

**Signature:**

```typescript
define: import("@genesislcap/foundation-ui").DefineFunction<typeof Login>
```

## Example


```ts
import { define, styles, template, defaultTemplateOptions } from '@genesislcap/foundation-login';
const customTemplateOptions = {
  ...defaultTemplateOptions,
  ...customOptions,
}
export const AppLogin = define({
  name: `nexus-login`,
  template: template(customTemplateOptions),
  styles: css`
    ${styles(customTemplateOptions)}
    some-element {
      background-color: #ff00b4;
    }
 `,
});
```

